# DescribeManagedInstanceTraffic

## 1. API Description

This API (DescribeManagedInstanceTraffic) is used to query the data transfer in the specified date range.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The date range of 24 hours are supported.</mark>
* <mark style="color:blue;">Only the data transfer within 30 days are supported to query.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                             |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | Instance ID.                                                                                            |
| startTime      | Yes      | String | <p>Start time.</p><p>Use UTC time according to the ISO8601 standard. Format: YYYY-MM-ddTHH:mm:ssZ .</p> |
| endTime        | Yes      | String | <p>End time.</p><p>Use UTC time according to the ISO8601 standard. Format: YYYY-MM-ddTHH:mm:ssZ .</p>   |

## 3. Output Parameters

| Parameter Name          | Type                                                                                            | Description                                                                                                           |
| ----------------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId               | String                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataList                | Array of [InstanceTrafficData](/api-reference/compute/bmc/datastructure.md#instancetrafficdata) | List of bandwidth data.                                                                                               |
| in95                    | Integer                                                                                         | Inbound burstable 95th bandwidth.                                                                                     |
| in95Time                | String                                                                                          | <p>Time of inbound burstable 95th bandwidth.</p><p>Format: YYYY-MM-ddTHH:mm:ssZ .</p>                                 |
| inAvg                   | Integer                                                                                         | Average value of inbound bandwidth.                                                                                   |
| inMax                   | Integer                                                                                         | Maximum value of inbound bandwidth.                                                                                   |
| inMin                   | Integer                                                                                         | Minimum value of inbound bandwidth.                                                                                   |
| inTotal                 | Integer                                                                                         | Total data transfer of inbound bandwidth.                                                                             |
| out95                   | Integer                                                                                         | Outbound burstable 95th bandwidth.                                                                                    |
| out95Time               | String                                                                                          | <p>Time of outbound burstable 95th bandwidth.</p><p>Format: YYYY-MM-ddTHH:mm:ssZ .</p>                                |
| outAvg                  | Integer                                                                                         | Average value of outbound bandwidth.                                                                                  |
| outMax                  | Integer                                                                                         | Maximum value of outbound bandwidth.                                                                                  |
| outMin                  | Integer                                                                                         | Minimum value of outbound bandwidth.                                                                                  |
| outTotal                | Integer                                                                                         | Total data transfer of outbound bandwidth.                                                                            |
| maxBandwidth95ValueMbps | Float                                                                                           | <p>Maximum value of burstable 95th bandwidth.</p><p>Unit: Mbps.</p>                                                   |
| totalUnit               | String                                                                                          | Unit of total data transfer. For example, B .                                                                         |
| unit                    | String                                                                                          | Unit of bandwidth. For example, bps .                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the data transfer of the instance in one day.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeManagedInstanceTraffic
<Common Request Params>

Request:
{
  "instanceId": "instanceId",
  "startTime": "2023-01-01T00:00:00Z",
  "endTime": "2023-01-01T23:59:59Z"
}

Response:
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
    "dataList": [
      {
        "internetRX": 873034,
        "internetTX": 11971,
        "time": "2023-01-01T00:00:00Z"
      },
      {
        "internetRX": 873034,
        "internetTX": 11971,
        "time": "2023-01-01T00:05:00Z"
      },
      {
        "internetRX": 635218,
        "internetTX": 9028,
        "time": "2023-01-01T00:10:00Z"
      }
    ],
    "in95": 873034,
    "in95Time": "2023-01-01T00:00:00Z",
    "inAvg": 793762,
    "inMax": 873034,
    "inMin": 635218,
    "inTotal": 89298270,
    "maxBandwidth95ValueMbps": 0.88,
    "out95": 11971,
    "out95Time": "2023-01-01T00:00:00Z",
    "outAvg": 10990,
    "outMax": 11971,
    "outMin": 9028,
    "outTotal": 1236457,
    "totalUnit": "B",
    "unit": "bps"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                    | Description              |
| ---------------- | ----------------------------- | ------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND | Instance does not exist. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/managed-instance/describemanagedinstancetraffic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
